org.springframework.batch.item.file.transform

## Class FlatFileFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.batch.item.file.transform.FlatFileFormatException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    IncorrectLineLengthException, IncorrectTokenCountException

      public class FlatFileFormatException
      extends java.lang.RuntimeException

  Exception indicating that some type of error has occurred while attempting to parse a line of input into tokens.
  Author:
    Lucas Ward, Michael Minella
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlatFileFormatException(java.lang.String message)` Create a new `FlatFileFormatException` based on a message.
    `FlatFileFormatException(java.lang.String message, java.lang.String input)` Create a new `FlatFileFormatException` based on a message.
    `FlatFileFormatException(java.lang.String message, java.lang.Throwable cause)` Create a new `FlatFileFormatException` based on a message and another exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getInput()` Retrieve the input that caused this exception.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FlatFileFormatException

          public FlatFileFormatException(java.lang.String message,
                                         java.lang.String input)

      Create a new `FlatFileFormatException` based on a message.
      Parameters:
        `message` - the message for this exception
        `input` - `String` containing the input for that caused this exception to be thrown.

    - #### FlatFileFormatException

          public FlatFileFormatException(java.lang.String message)

      Create a new `FlatFileFormatException` based on a message.
      Parameters:
        `message` - the message for this exception

    - #### FlatFileFormatException

          public FlatFileFormatException(java.lang.String message,
                                         java.lang.Throwable cause)

      Create a new `FlatFileFormatException` based on a message and another exception.
      Parameters:
        `message` - the message for this exception
        `cause` - the other exception

  - ### Method Detail

    - #### getInput

          public java.lang.String getInput()

      Retrieve the input that caused this exception.
      Returns:
        String containing the input.